
From: Stefan Weinhuber <wein@de.ibm.com>

The DASD device driver never reorders the I/O requests and relies on the
hardware to write all data to nonvolatile storage before signaling a
successful write.  Hence, the only thing we have to do to support write
barriers is to set the queue ordered flag.

Signed-off-by: Martin Schwidefsky <schwidefsky@de.ibm.com>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 drivers/s390/block/dasd.c |    1 +
 1 files changed, 1 insertion(+)

diff -puN drivers/s390/block/dasd.c~s390-enable-write-barriers-in-the-dasd-driver drivers/s390/block/dasd.c
--- 25/drivers/s390/block/dasd.c~s390-enable-write-barriers-in-the-dasd-driver	2005-04-26 03:41:14.902292832 -0700
+++ 25-akpm/drivers/s390/block/dasd.c	2005-04-26 03:41:14.906292224 -0700
@@ -1635,6 +1635,7 @@ dasd_setup_queue(struct dasd_device * de
 	blk_queue_max_hw_segments(device->request_queue, -1L);
 	blk_queue_max_segment_size(device->request_queue, -1L);
 	blk_queue_segment_boundary(device->request_queue, -1L);
+	blk_queue_ordered(device->request_queue, 1);
 }
 
 /*
_
